## org.apache.commons.math3.analysis.differentiation
Class DerivativeStructure.DataTransferObject

    java.lang.Object
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure.DataTransferObject

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DerivativeStructure

    private static class DerivativeStructure.DataTransferObject

extends java.lang.Object
implements java.io.Serializable

Internal class used only for serialization.

Field Summary
`private double[]` `data` Partial derivatives.
`private int` `order` Derivation order.
`private static long` `serialVersionUID` Serializable UID.
`private int` `variables` Number of variables.

Constructor Summary
`DerivativeStructure.DataTransferObject(int variables, int order, double[] data)` Simple constructor.

Method Summary
`private java.lang.Object` `readResolve()` Replace the deserialized data transfer object with a `DerivativeStructure`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable UID.

  See Also:
    Constant Field Values

### variables

    private final int variables

  Number of variables.

### order

    private final int order

  Derivation order.

### data

    private final double[] data

  Partial derivatives.

Constructor Detail

### DerivativeStructure.DataTransferObject

    public DerivativeStructure.DataTransferObject(int variables,
                                                  int order,
                                                  double[] data)

  Simple constructor.

  Parameters:
    `variables` - number of variables
    `order` - derivation order
    `data` - partial derivatives

Method Detail

### readResolve

    private java.lang.Object readResolve()

  Replace the deserialized data transfer object with a `DerivativeStructure`.

  Returns:
    replacement `DerivativeStructure`

Copyright (c) 2003-2013 Apache Software Foundation